Error
A valid request URL is required to generate request examples{
"success": true,
"data": {
"agentId": "agent_123",
"source": "custom",
"theme": {
"mode": "auto",
"accent": "#0ea5e9",
"headerStyle": "solid",
"radius": "soft",
"position": "bottom-right",
"offset": {
"side": 20,
"bottom": 20
},
"launcher": {
"size": "standard",
"label": "Chat with us"
},
"font": null,
"zIndex": 2147483647,
"overrides": {
"--fw-shadow": "0 8px 24px rgba(0,0,0,.18)"
}
},
"copy": {
"headerTitle": "Support",
"headerSubtitle": null,
"inputPlaceholder": null,
"disclaimer": null
},
"behavior": {
"poweredBy": true,
"autoOpenMs": 4000
}
}
}{
"type": "about:blank",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "about:blank",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Widget
Get widget config
Returns the chat widget configuration for an agent, including its appearance, copy, and behavior settings.
GET
/
agents
/
{agentId}
/
widget
Error
A valid request URL is required to generate request examples{
"success": true,
"data": {
"agentId": "agent_123",
"source": "custom",
"theme": {
"mode": "auto",
"accent": "#0ea5e9",
"headerStyle": "solid",
"radius": "soft",
"position": "bottom-right",
"offset": {
"side": 20,
"bottom": 20
},
"launcher": {
"size": "standard",
"label": "Chat with us"
},
"font": null,
"zIndex": 2147483647,
"overrides": {
"--fw-shadow": "0 8px 24px rgba(0,0,0,.18)"
}
},
"copy": {
"headerTitle": "Support",
"headerSubtitle": null,
"inputPlaceholder": null,
"disclaimer": null
},
"behavior": {
"poweredBy": true,
"autoOpenMs": 4000
}
}
}{
"type": "about:blank",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "about:blank",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
Flowyte secret API key (Authorization: Bearer flowyte_sk_live_…). Scope-gated; is scoped to your organization — a key can never reach another tenant. The listed scopes in each operation's apiKey requirement are the scopes that key must hold. The tokenUrl is nominal: keys are minted in the dashboard.
FlowClient Credentials
- Token URL
- /api/v1/api-keys
Scopes1
widgets:read
Read widget config & embed snippet.
Path Parameters
The agent this resource is scoped to (the UUID returned by createAgent / listAgents).